MultiIndexCreationException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.query, class: MultiIndexCreationException

Package org.apache.geode.cache.query

# Class MultiIndexCreationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.geode.cache.query.MultiIndexCreationException

All Implemented Interfaces:
  `Serializable`

public class MultiIndexCreationException extends Exception
Consists a map of index names and Exceptions thrown during index creation using `QueryService.createDefinedIndexes()`. An `Index` could throw one of the following exceptions:

- `IndexNameConflictException`
- `IndexExistsException`
- `IndexInvalidException`
- `UnsupportedOperationException`

Since:
  GemFire 8.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiIndexCreationException(HashMap<String,Exception> exceptionMap)`
  Creates an `MultiIndexCreationException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Exception>`
  `getExceptionsMap()`
  Returns a map of index names and Exceptions
  `Set<String>`
  `getFailedIndexNames()`
  Returns a set of names for the indexes that failed to create
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiIndexCreationException

    public MultiIndexCreationException(HashMap<String,Exception> exceptionMap)
    Creates an `MultiIndexCreationException`
    Parameters:
      `exceptionMap` - a map of index names and Exceptions

- ## Method Details

  - ### getExceptionsMap

    public Map<String,Exception> getExceptionsMap()
    Returns a map of index names and Exceptions
    Returns:
      a map of index names and Exceptions

  - ### getFailedIndexNames

    public Set<String> getFailedIndexNames()
    Returns a set of names for the indexes that failed to create
    Returns:
      set of failed index names

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`